using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class CmFacilityFile
    {
        [Key]
        public int SiteId { get; set; }
        [Key]
        public int FileId { get; set; }
        public int FacilityCode { get; set; }
        [Column(TypeName = "datetime")]
        public DateTime? InsertedDate { get; set; }
        [StringLength(24)]
        public string InsertedUserId { get; set; }
        [Column(TypeName = "datetime")]
        public DateTime? UpdatedDate { get; set; }
        [StringLength(24)]
        public string UpdatedUserId { get; set; }

        [ForeignKey("SiteId,FacilityCode")]
        [InverseProperty("CmFacilityFile")]
        public virtual CmFacility CmFacility { get; set; }
        [ForeignKey("SiteId,FileId")]
        [InverseProperty("CmFacilityFile")]
        public virtual CmFile CmFile { get; set; }
    }
}
